Redmine - Patch #38359

Render numeric axes in charts as Integers
2023-03-15 14:44 - Holger Just

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 5.0.6

Description

When rendering charts in the issue reports and repository statistics, chart.js will render the axes with fractional numbers if there are
only few entries. However, as the number of issues or commits are always entire integers, this is rather confusing and pointless.

The attached patch against the current trunk at r22135 fixes the rendering of the respective axes of chart.js charts to always use full

integers. The patch was extracted from Planio.
Associated revisions

Revision 22139 - 2023-03-22 04:16 - Go MAEDA

Render numeric axis in charts as integers (#38359).

Patch by Holger Just.

Revision 22140 - 2023-03-22 04:18 - Go MAEDA
Merged r22139 from trunk to 5.0-stable (#38359).

History

#1 - 2023-03-15 14:50 - Holger Just
- Category set to Ul

#2 - 2023-03-16 02:30 - Go MAEDA

- Target version set to 5.0.6

Setting the target version to 5.0.6.

#3 - 2023-03-22 04:18 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix. Thank you.
